Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453521 - browsers and some applications can't read username/password setted into proxy authentication
Summary: browsers and some applications can't read username/password setted into proxy...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-01 07:29 UTC by Luca Foppiano
Modified: 2009-07-14 17:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:49:16 UTC


Attachments (Terms of Use)

Description Luca Foppiano 2008-07-01 07:29:06 UTC
Description of problem:

I'm using a proxy with authentication process. I set my proxy with "network
proxy preferences" and i set also username/password, but when I try to launch
firefox (configured to read system proxy configuration) it ask me
username/password, the same is with epiphany.
With pidgin it seems to work, so probably this is a problem of browsers.

Version-Release number of selected component (if applicable):
firefox-3.0-1.fc9.x86_64
epiphany-2.22.2-2.fc9.x86_64
pidgin-2.4.2-1.fc9.x86_64
control-center-2.22.2.1-1.fc9.x86_64

How reproducible:
Set proxy and authentication (user/pass), then launch firefox or epiphany. It
should ask you usename/password.

Steps to Reproduce:
1. set proxy 
2. set authentication
3. launch firefox/epiphany
  
Actual results:
Firefox and epiphany ask user/password

Expected results:
Firefox and epiphany shouldn't ask user/password

Additional info:
dunno if is a control-center bug.

Comment 1 Bastien Nocera 2008-07-01 22:00:37 UTC
This is a problem with the applications themselves. The only thing the
control-center does is setting a few GConf keys.

To be honest, I don't know whether firefox reads the GNOME configuration or not
these days, and whether epiphany does its own thing or not.

I'm reassigning that to Firefox, they'd know whether another bug should be
opened for Epiphany.

Comment 2 Luca Foppiano 2008-07-01 23:56:56 UTC
ok, thanks a lot :)

Comment 3 Luca Foppiano 2009-01-20 05:42:19 UTC
Any news about this bug?

Comment 4 Bug Zapper 2009-06-10 01:51:56 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-07-14 17:49:16 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.